Bug 5712 - Гаснут индикаторы клавы при переключении из консоли
: Гаснут индикаторы клавы при переключении из консоли
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg-x11)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-15 17:07 by
Modified: 2007-10-31 15:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-15 17:07:07
xorg 6.8.1-alt{11,17}

При переключении из консоли в иксы гаснут все индиакаторы клавы, при этом их 
внутренний статус сохраняется, и при ручном переключении индикатора все 
остальные восстанавливаются. Причем в момент переключения из консоли лампочки 
загораются, но к моменту появления изображения гаснут снова.
------- Comment #1 From 2004-12-15 17:37:55 -------
а что в 6.8.1.99?
------- Comment #2 From 2004-12-15 18:19:25 -------
Пока не скачал.
------- Comment #3 From 2004-12-16 11:11:53 -------
Один фиг.
------- Comment #4 From 2005-04-11 14:24:59 -------
6.8.2-alt5
Всё по-прежнему.
------- Comment #5 From 2005-10-02 20:23:36 -------
6.8.2-alt18 - всё по-прежнему.
Это больше ни у кого не подтверждается что ли?
------- Comment #6 From 2005-10-09 14:48:37 -------
6.8.99.900-alt5 - та же фигня.
------- Comment #7 From 2005-10-09 14:58:44 -------
это ни кто не исправлял. видно никого не напрягает 
------- Comment #8 From 2005-10-09 15:02:08 -------
Но оно хотя бы подтверждается?
------- Comment #9 From 2005-10-09 15:11:57 -------
xorg-x11-6.8.99.900-alt7 - на NumLock и CapsLock проявляется.
------- Comment #10 From 2005-10-09 15:14:31 -------
ну и на xorg-x11-6.8.99.900-alt6 тоже. Причем, при нажатии Caps Lock в иксах
лампочка загорается, при переключении в консоль гаснет, но печать происходит
маленькими буквами. При возвращении в иксы горит и лампочка, и буковки большие.
ноутбук ibm tp r50e.
------- Comment #11 From 2005-10-09 15:18:21 -------
я считал что бага в bugs.freedesktop.org по этому поводу висит. оказалось что  
нет. для SUN это пофиксили  

* programs/Xserver/hw/xfree86/os-support/sunos/sun_kbd.h:  
* programs/Xserver/hw/xfree86/os-support/sunos/sun_kbd.c:  
Save keyboard LED state on startup and restore on exit so  
text console mode LEDs match text console mode state.  
Move push of streams module earlier so it's loaded before  
we start using kbd ioctls provided by the streams module. 
------- Comment #12 From 2005-10-09 15:48:04 -------
нашлась (спасибо vsu@). можно сходить повозмущаться 
https://bugs.freedesktop.org/show_bug.cgi?id=2181 
------- Comment #13 From 2005-10-09 15:52:58 -------
https://bugs.freedesktop.org/show_bug.cgi?id=2181
------- Comment #14 From 2005-10-09 15:53:54 -------
Тьфу, не туда нажал.
------- Comment #15 From 2006-09-28 23:21:09 -------
"Yes, the same with 7.1."
https://bugs.freedesktop.org/show_bug.cgi?id=1530 (#2181 is dup)

Ладно, хай их фиксят...
------- Comment #16 From 2007-04-06 12:08:18 -------
https://bugs.freedesktop.org/show_bug.cgi?id=313

Якобы fixed в феврале. Какой это версии соответствует?
------- Comment #17 From 2007-04-06 12:31:52 -------
это должно быть в 7.4
------- Comment #18 From 2007-10-30 10:30:04 -------
xorg-x11-server-1.4-alt6